> ## Documentation Index
> Fetch the complete documentation index at: https://tradewatch.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Market Status

> Get the current status (open or closed) of a market. It takes holidays and half-days into account but does not factor in circuit breakers or halts.



## OpenAPI

````yaml /openapi.json get /stocks/markets/status
openapi: 3.1.0
info:
  title: tradewatch.io
  version: 3.1.0
  description: Financial market data for Developers
servers:
  - url: https://api.tradewatch.io
    description: Production API server
security:
  - API Key: []
tags:
  - name: Account
    description: >-
      In this section, you can find methods that can be helpful to manage your
      API account.
    x-displayName: Account
  - name: Currencies
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for traditional currencies (Forex).
    x-displayName: Currencies
  - name: Crypto
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for cryptocurrencies.
    x-displayName: Crypto
  - name: Indices
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for market indices.
    x-displayName: Indices
  - name: Stocks
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for stocks and equities.
    x-displayName: Stocks
  - name: Fundamentals
    description: Financial statements and company data sourced from SEC EDGAR filings.
  - name: Markets
    description: Stock exchange and market session information.
  - name: Commodities
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for commodities.
    x-displayName: Commodities
paths:
  /stocks/markets/status:
    get:
      tags:
        - Markets
      summary: Market Status
      description: >-
        Get the current status (open or closed) of a market. It takes holidays
        and half-days into account but does not factor in circuit breakers or
        halts.
      operationId: stocks_get_market_status
      parameters:
        - name: mic
          in: query
          required: false
          schema:
            type: string
            title: MIC code
            description: >-
              Optional list of comma separated MIC codes for which market to
              show data for. All market will be included if MIC code is not
              specified.
          description: >-
            Optional list of comma separated MIC codes for which market to show
            data for. All market will be included if MIC code is not specified.
          example: XNYS
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MarketStatusResponse'
                title: Response Stocks Get Market Status
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MarketStatusResponse:
      properties:
        mic:
          type: string
          title: Mic
          examples:
            - XNYS
        day_of_week:
          type: string
          title: Day Of Week
          examples:
            - Wednesday
        is_weekend:
          type: boolean
          title: Is Weekend
          examples:
            - false
        is_business_day:
          type: boolean
          title: Is Business Day
          examples:
            - true
        status:
          allOf:
            - $ref: '#/components/schemas/Status'
          examples:
            - Open
        is_early_close:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Early Close
          examples:
            - false
        local_time:
          type: string
          format: date-time
          title: Local Time
          examples:
            - '2024-05-01T11:05:21-04:00'
        open_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Open Time
          examples:
            - '2024-05-01T09:30:00-04:00'
        close_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Close Time
          examples:
            - '2024-05-01T16:00:00-04:00'
        holiday_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Holiday Name
          examples:
            - Labor Day
      type: object
      required:
        - mic
        - day_of_week
        - is_weekend
        - is_business_day
        - status
        - is_early_close
        - local_time
        - open_time
        - close_time
      title: MarketStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Status:
      type: string
      enum:
        - Open
        - Closed
      title: Status
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      description: Authentication via API key header
      type: apiKey
      name: api-key
      in: header

````